Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class Caching

    java.lang.Object
      org.hibernate.metamodel.binding.Caching

    public class Caching

extends Object

Defines the caching settings for an entity.

Constructor Summary
`Caching()`
`Caching(String region, AccessType accessType, boolean cacheLazyProperties)`

Method Summary
`AccessType` | `getAccessType()`
`String` | `getRegion()`
`boolean` | `isCacheLazyProperties()`
`void` | `setAccessType(AccessType accessType)`
`void` | `setCacheLazyProperties(boolean cacheLazyProperties)`
`void` | `setRegion(String region)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Caching

    public Caching()

### Caching

    public Caching(String region,
                   AccessType accessType,
                   boolean cacheLazyProperties)

Method Detail

### getRegion

    public String getRegion()

### setRegion

    public void setRegion(String region)

### getAccessType

    public AccessType getAccessType()

### setAccessType

    public void setAccessType(AccessType accessType)

### isCacheLazyProperties

    public boolean isCacheLazyProperties()

### setCacheLazyProperties

    public void setCacheLazyProperties(boolean cacheLazyProperties)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.